<template>
  <n-form ref="formRef" :model="formData" :rules="formRules" :show-feedback="false">
    <n-grid y-gap="8" :cols="1">
      <n-form-item-gi label="電子信箱" path="email">
        <n-input v-model:value="formData.email" placeholder="請輸入電子信箱" @keyup.enter="handleSubmit" />
      </n-form-item-gi>
      <n-form-item-gi label="密碼" path="password">
        <n-input v-model:value="formData.password" placeholder="請輸入密碼" @keyup.enter="handleSubmit" />
      </n-form-item-gi>
    </n-grid>
  </n-form>
</template>

<script setup>
import { reactive, ref } from '@vue/reactivity'
import { NGrid, NForm, NFormItemGi, NInput, useMessage } from 'naive-ui/es'
import { checkForm } from '@/utils/form'
import { useRouter } from 'vue-router'
import { useStore } from '@/store'
// --- Use ---
const message = useMessage()
const router = useRouter()
const store = useStore()
// --- Data ---
const formRef = ref(null)
const formData = reactive({
  email: '',
  password: '',
})

const formRules = {
  email: [
    { required: true, message: '請輸入電子信箱' },
  ],
  password: [
    { required: true, message: '請輸入密碼' },
  ],
}
// --- Methods ---
const handleSubmit = async (e) => {
  e.preventDefault()
  const [, formErr] = await checkForm(formRef, 'ok')
  if (formErr) return message.error(formErr)
  store.setUser({
    userId: '123456789',
    displayName: '開發測試人員',
  })
  router.push({ name: 'overview' })
}

</script>

<style lang="postcss" scoped>
.login-form {
  @apply rounded-[20px] w-full;
  box-shadow: 0px 13px 31px rgba(12, 20, 33, 0.04), 0px 9.45547px 20.8947px rgba(12, 20, 33, 0.032375), 0px 6.58125px 13.5141px rgba(12, 20, 33, 0.027), 0px 4.31641px 8.38574px rgba(12, 20, 33, 0.023125), 0px 2.6px 5.0375px rgba(12, 20, 33, 0.02), 0px 1.37109px 2.99707px rgba(12, 20, 33, 0.016875), 0px 0.56875px 1.79219px rgba(12, 20, 33, 0.013), inset 0px 2px 1px #FFFFFF;
}
</style>
